| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
wxHtmlWinTagHandler Class Reference
HTML

`#include <wx/html/winpars.h>`

Inheritance diagram for wxHtmlWinTagHandler:
[legend]

## Detailed Description

This is basically wxHtmlTagHandler except that it is extended with protected member m_WParser pointing to the wxHtmlWinParser object (value of this member is identical to wxHtmlParser's m_Parser).

##

Library: wxHTML
Category: HTML

## Public Member Functions

| wxHtmlWinTagHandler ()
| Constructor.
virtual void | SetParser (wxHtmlWinParser *parser)
| Assigns parser to this handler.
Public Member Functions inherited from wxHtmlTagHandler
| wxHtmlTagHandler ()
| Constructor.
virtual wxString | GetSupportedTags ()=0
| Returns list of supported tags.
virtual bool | HandleTag (const wxHtmlTag &tag)=0
| This is the core method of each handler.
virtual void | SetParser (wxHtmlParser *parser)
| Assigns parser to this handler.
wxHtmlParser * | GetParser () const
| Returns the parser associated with this tag handler.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Protected Attributes

wxHtmlWinParser * | m_WParser
| Value of this attribute is identical to value of m_Parser.
Protected Attributes inherited from wxHtmlTagHandler
wxHtmlParser * | m_Parser
| This attribute is used to access parent parser.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Additional Inherited Members

Protected Member Functions inherited from wxHtmlTagHandler
void | ParseInner (const wxHtmlTag &tag)
| This method calls parser's wxHtmlParser::DoParsing method for the string between this tag and the paired ending tag:
void | ParseInnerSource (const wxString &source)
| Parses given source as if it was tag's inner code (see wxHtmlParser::GetInnerSource).

## Constructor & Destructor Documentation

wxHtmlWinTagHandler::wxHtmlWinTagHandler | ( |  | ) |

Constructor.

## Member Function Documentation

virtual void wxHtmlWinTagHandler::SetParser | ( | wxHtmlWinParser * | parser | ) |

virtual

Assigns parser to this handler.

Each instance of handler is guaranteed to be called only from the one parser.

## Member Data Documentation

wxHtmlWinParser* wxHtmlWinTagHandler::m_WParser

protected

Value of this attribute is identical to value of m_Parser.

The only difference is that m_WParser points to wxHtmlWinParser object while m_Parser points to wxHtmlParser object. (The same object, but overcast.)